Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Untar

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Untar

public class Untar
extends Task

Untar a file. Heavily based on the Expand task.

Author:
  Stefan Bodewig

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`Untar()`

Method Summary
`void` | `execute()` Do the work.
`void` | `setDest(java.lang.String d)` Set the destination directory.
`void` | `setSrc(java.lang.String s)` Set the path to tar-file.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Untar

    public Untar()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Do the work.
  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - Thrown in unrecoverable error.

### setDest

    public void setDest(java.lang.String d)

  Set the destination directory. File will be untared into the destination directory.
  Parameters:
    `d` - Path to the directory.

### setSrc

    public void setSrc(java.lang.String s)

  Set the path to tar-file.
  Parameters:
    `s` - Path to tar-file.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.